.TH "ompi_rb_tree_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi_rb_tree_t \- the data structure that holds all the needed information about the tree.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ompi_rb_tree.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBparent\fP"
.br
.RI "\fIthe parent class \fP"
.ti -1c
.RI "\fBompi_rb_tree_node_t\fP * \fBroot_ptr\fP"
.br
.RI "\fIa pointer to the root of the tree \fP"
.ti -1c
.RI "\fBompi_rb_tree_node_t\fP * \fBnill\fP"
.br
.RI "\fIthe nill sentinal node \fP"
.ti -1c
.RI "\fBompi_rb_tree_comp_fn_t\fP \fBcomp\fP"
.br
.RI "\fIthe compare function \fP"
.ti -1c
.RI "ompi_free_list_t \fBfree_list\fP"
.br
.RI "\fIthe free list to get the memory from \fP"
.ti -1c
.RI "size_t \fBtree_size\fP"
.br
.RI "\fIthe size of the tree \fP"
.in -1c
.SH "Detailed Description"
.PP 
the data structure that holds all the needed information about the tree. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
